Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.contact
Class EPPContactInfoResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.contact.EPPContactInfoResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPContactInfoResp

extends EPPResponse

Represents a <contact:infData> response to an `EPPContactInfoCmd`. When an <info> command has been processed successfully, the EPP <resData> element MUST contain a child <contact:infData> element that identifies the contact namespace and the location of the contact schema. The <contact:infData> element SHALL contain the following child elements:

- A <contact:id> element that contains the server-unique identifier of the contact object. Use `getId` and `setId` to get and set the elements.
- One or more <contact:status> elements that describe the status of the contact object. Use `getStatuses` and `setStatuses` to get and set the elements.
- A <contact:postalInfo> element that contains the postal contacts. Use `getPostalInfo`, `addPostalInfo` and `setPostalInfo` to get, add and set the elements.
- An OPTIONAL <contact:voice> element that contains the contact's voice telephone number. Use `getVoice` and `setVoice` to get and set the elements.
- An OPTIONAL <contact:fax> element that contains the contact's facsimile telephone number. Use `getFax` and `setFax` to get and set the elements.
- A <contact:email> element that contains the contact's e-mail address. Use `getEmail` and `setEmail` to get and set the elements.
- A <contact:clID> element that contains the identifier of the sponsoring client. The sponsoring client is the client that has administrative privileges to manage the object. Use `getClientId` and `setClientId` to get and set the element.
- A <contact:crID> element that contains the identifier of the client that created the contact name. Use `getCreatedBy` and `setCreatedBy`to get and set the element.
- A <contact:crDate> element that contains the date and time of contact creation. Use `getCreatedDate` and `setCreatedDate` to get and set the element.
- A <contact:upID> element that contains the identifier of the client that last updated the contact name. This element MUST NOT be present if the contact has never been modified. Use `getLastUpdatedBy` and `setLastUpdatedBy` to get and set the element.
- A <contact:upDate> element that contains the date and time of the most recent contact modification. This element MUST NOT be present if the contact has never been modified. Use `getLastUpdatedDate` and `setLastUpdatedDate` to get and set the element.
- A <contact:trDate> element that contains the date and time of the most recent successful transfer. This element MUST NOT be provided if the contact has never been transferred. Use `getLastTransferDate` and `setLastTransferDate` to get and set the element.
- An OPTIONAL <contact:authInfo> element that contains authorization information associated with the contact object. This element MUST NOT be provided if the querying client is not the current sponsoring client. Use `getAuthInfo` and `setAuthInfo` to get and set the element.
- An OPTIONAL <contact:disclose> element that contains disclose information associated with the contact object. Use `getDisclose` and `setDisclose` to get and set the element.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  `EPPContactInfoCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPContactInfoResp()` `EPPContactInfoResp` default constructor.
`EPPContactInfoResp(EPPTransId aTransId, java.lang.String aRoid, java.lang.String aId, java.util.Vector newStatuses, EPPContactPostalDefinition aPostalInfo, java.lang.String aEmail, java.lang.String aClientId, java.lang.String aCreatedBy, java.util.Date aCreatedDate, EPPAuthInfo aAuthInfo)` `EPPContactInfoResp` constructor that sets the required attributes with the parameters.

Method Summary
`void` | `addPostalInfo(EPPContactPostalDefinition newPostalInfo)` Adds contact postalInfo.
`java.lang.Object` | `clone()` Clone `EPPContactInfoResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPContactInfoResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactInfoResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPContactInfoResp` with this instance.
`EPPAuthInfo` | `getAuthInfo()` Get authorization information.
`java.lang.String` | `getClientId()` Gets the contact owning Client Id.
`java.lang.String` | `getCreatedBy()` Gets Client Id that created the contact.
`java.util.Date` | `getCreatedDate()` Gets the date and time the contact was created.
`EPPContactDisclose` | `getDisclose()` Get disclose information.
`java.lang.String` | `getEmail()` Get contact email.
`java.lang.String` | `getFax()` Get contact fax number.
`java.lang.String` | `getFaxExt()` Get fax number extension.
`java.lang.String` | `getId()` Get contact id.
`java.util.Date` | `getLastTransferDate()` Gets the last date and time the contact was successfully transferred.
`java.lang.String` | `getLastUpdatedBy()` Gets the Client Id that last updated the contact.
`java.util.Date` | `getLastUpdatedDate()` Gets the date and time of the last contact update.
`java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPContactInfoResp`.
`java.util.Vector` | `getPostalInfo()` Get contact postalInfo.
`java.lang.String` | `getRoid()` Get roid.
`java.util.Vector` | `getStatuses()` Get contact statuses.
`java.lang.String` | `getType()` Gets the EPP response type associated with `EPPContactInfoResp`.
`java.lang.String` | `getVoice()` Get contact voice number.
`java.lang.String` | `getVoiceExt()` Get voice number extension.
`void` | `setAuthInfo(EPPAuthInfo newAuthInfo)` Set authorization information.
`void` | `setClientId(java.lang.String aClientId)` Sets the contact owning Client Id.
`void` | `setCreatedBy(java.lang.String aCreatedBy)` Sets Client Id that created the contact.
`void` | `setCreatedDate(java.util.Date aDate)` Sets the date and time the contact was created.
`void` | `setDisclose(EPPContactDisclose newDisclose)` Set disclose information.
`void` | `setEmail(java.lang.String newEmail)` Set contact email.
`void` | `setFax(java.lang.String newFax)` Set contact fax number.
`void` | `setFaxExt(java.lang.String newFaxExt)` Set fax number extension.
`void` | `setId(java.lang.String newId)` Set contact id.
`void` | `setLastTransferDate(java.util.Date aLastTransferDate)` Sets the last date and time the contact was successfully transferred.
`void` | `setLastUpdatedBy(java.lang.String aLastUpdatedBy)` Sets the Client Id that last updated the contact.
`void` | `setLastUpdatedDate(java.util.Date aLastUpdatedDate)` Sets the last date and time the contact was updated.
`void` | `setPostalInfo(java.util.Vector newPostalContacts)` Set contact postalInfo.
`void` | `setRoid(java.lang.String newRoid)` Set roid.
`void` | `setStatuses(java.util.Vector newStatuses)` Set contact statuses.
`void` | `setVoice(java.lang.String newVoice)` Set contact voice number.
`void` | `setVoiceExt(java.lang.String newVoiceExt)` Set contact voice extension.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPContactInfoResp

    public EPPContactInfoResp()

  `EPPContactInfoResp` default constructor. Must call required setter methods before invoking `encode`, which include:
  - transaction id - `setTransId`
  - contact - `setContact`
  - client id - `setClientId`
  - postalInfo - `setPostalInfo`
  - postalInfo - `addPostalInfo`
  - created by - `setCreatedBy`
  - created date - `setCreatedDate`
  The following optional attributes can be set:
  - last updated by - `setLastUpdatedBy`
  - last updated date - `setLastUpdatedDate`
  - last transfer by - `setLastTransferBy`
  - last transfer date - `setLastTransferDate`
  - authorization id - `setAuthId`
  - disclose - `setDisclose`

### EPPContactInfoResp

    public EPPContactInfoResp(EPPTransId aTransId,
                              java.lang.String aRoid,
                              java.lang.String aId,
                              java.util.Vector newStatuses,
                              EPPContactPostalDefinition aPostalInfo,
                              java.lang.String aEmail,
                              java.lang.String aClientId,
                              java.lang.String aCreatedBy,
                              java.util.Date aCreatedDate,
                              EPPAuthInfo aAuthInfo)

  `EPPContactInfoResp` constructor that sets the required attributes with the parameters. The following optional attributes can be set:

  Parameters:
    `aTransId` - command transaction id
    `aRoid` - roid
    `aId` - contact ID
    `newStatuses` - contact statuses
    `aPostalInfo` - postal element of contact
    `aEmail` - contact email
    `aClientId` - contact sponsering client identifier
    `aCreatedBy` - identifier of the client that created the contact name
    `aCreatedDate` - Date and time of contact creation
    `aAuthInfo` - authorization information

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP response type associated with `EPPContactInfoResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPContactInfoResp.ELM_NAME`

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command namespace associated with `EPPContactInfoResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPContactMapFactory.NS`

### getClientId

    public java.lang.String getClientId()

  Gets the contact owning Client Id.

  Returns:
    Client Id if defined; `null` otherwise.

### setClientId

    public void setClientId(java.lang.String aClientId)

  Sets the contact owning Client Id.

  Parameters:
    `aClientId` - Client Id

### getCreatedBy

    public java.lang.String getCreatedBy()

  Gets Client Id that created the contact.

  Returns:
    Client Id if defined; `null` otherwise.

### setCreatedBy

    public void setCreatedBy(java.lang.String aCreatedBy)

  Sets Client Id that created the contact.

  Parameters:
    `aCreatedBy` - Client Id that created the contact if defined; `null` otherwise.

### getCreatedDate

    public java.util.Date getCreatedDate()

  Gets the date and time the contact was created.

  Returns:
    Date and time the contact was created if defined; `null` otherwise.

### setCreatedDate

    public void setCreatedDate(java.util.Date aDate)

  Sets the date and time the contact was created.

  Parameters:
    `aDate` - Date and time the contact was created.

### getLastUpdatedBy

    public java.lang.String getLastUpdatedBy()

  Gets the Client Id that last updated the contact. This will be null if the contact has not been updated since creation.

  Returns:
    Client Id that last updated the contact has been updated; `null` otherwise.

### setLastUpdatedBy

    public void setLastUpdatedBy(java.lang.String aLastUpdatedBy)

  Sets the Client Id that last updated the contact.

  Parameters:
    `aLastUpdatedBy` - Client Id String that last updated the contact.

### getLastUpdatedDate

    public java.util.Date getLastUpdatedDate()

  Gets the date and time of the last contact update. This will be `null` if the contact has not been updated since creation.

  Returns:
    date and time of the last contact update if defined; `null` otherwise.

### setLastUpdatedDate

    public void setLastUpdatedDate(java.util.Date aLastUpdatedDate)

  Sets the last date and time the contact was updated.

  Parameters:
    `aLastUpdatedDate` - Date and time of the last contact update

### getLastTransferDate

    public java.util.Date getLastTransferDate()

  Gets the last date and time the contact was successfully transferred.

  Returns:
    Date and time of the last successful transfer if defined; `null` otherwise.

### setLastTransferDate

    public void setLastTransferDate(java.util.Date aLastTransferDate)

  Sets the last date and time the contact was successfully transferred.

  Parameters:
    `aLastTransferDate` - Date and time of the last successful transfer.

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPContactInfoResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the EPPContactPingMap instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPContactPingMap instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPContactInfoResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPContactInfoResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPContactInfoResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPContactInfoResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPContactInfoResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getPostalInfo

    public java.util.Vector getPostalInfo()

  Get contact postalInfo.

  Returns:
    java.util.Vector

### setPostalInfo

    public void setPostalInfo(java.util.Vector newPostalContacts)

  Set contact postalInfo.

  Parameters:
    `newPostalContacts` - java.util.Vector

### addPostalInfo

    public void addPostalInfo(EPPContactPostalDefinition newPostalInfo)

  Adds contact postalInfo.

  Parameters:
    `newPostalInfo` - com.verisign.epp.codec.contact.EPPContactPostalDefinition

### getAuthInfo

    public EPPAuthInfo getAuthInfo()

  Get authorization information.

  Returns:
    Authorization information if defined; `null` otherwise;

### setAuthInfo

    public void setAuthInfo(EPPAuthInfo newAuthInfo)

  Set authorization information.

  Parameters:
    `newAuthInfo` - com.verisign.epp.codec.gen.EPPAuthInfo

### getDisclose

    public EPPContactDisclose getDisclose()

  Get disclose information.

  Returns:
    Disclose information if defined; `null` otherwise;

### setDisclose

    public void setDisclose(EPPContactDisclose newDisclose)

  Set disclose information.

  Parameters:
    `newDisclose` - com.verisign.epp.codec.gen.EPPContactDisclose

### getEmail

    public java.lang.String getEmail()

  Get contact email.

  Returns:
    String

### setEmail

    public void setEmail(java.lang.String newEmail)

  Set contact email.

  Parameters:
    `newEmail` - String

### getFax

    public java.lang.String getFax()

  Get contact fax number.

  Returns:
    String

### setFax

    public void setFax(java.lang.String newFax)

  Set contact fax number.

  Parameters:
    `newFax` - String

### getFaxExt

    public java.lang.String getFaxExt()

  Get fax number extension.

  Returns:
    fax number extension if defined; `null` otherwise.

### setFaxExt

    public void setFaxExt(java.lang.String newFaxExt)

  Set fax number extension.

  Parameters:
    `newFaxExt` - Fax number extension

### getId

    public java.lang.String getId()

  Get contact id.

  Returns:
    String

### setId

    public void setId(java.lang.String newId)

  Set contact id.

  Parameters:
    `newId` - String

### getStatuses

    public java.util.Vector getStatuses()

  Get contact statuses.

  Returns:
    java.util.Vector

### setStatuses

    public void setStatuses(java.util.Vector newStatuses)

  Set contact statuses.

  Parameters:
    `newStatuses` - java.util.Vector

### getVoice

    public java.lang.String getVoice()

  Get contact voice number.

  Returns:
    String

### setVoice

    public void setVoice(java.lang.String newVoice)

  Set contact voice number.

  Parameters:
    `newVoice` - String

### getVoiceExt

    public java.lang.String getVoiceExt()

  Get voice number extension.

  Returns:
    Voice number extension if defined; `null` otherwise.

### setVoiceExt

    public void setVoiceExt(java.lang.String newVoiceExt)

  Set contact voice extension.

  Parameters:
    `newVoiceExt` - voice extension

### getRoid

    public java.lang.String getRoid()

  Get roid.

  Returns:
    java.lang.String

### setRoid

    public void setRoid(java.lang.String newRoid)

  Set roid.

  Parameters:
    `newRoid` - java.lang.String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.